#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'rekanan.edit_peralatan_perusahaan'}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'rekanan.home'}</a></li>
	<li class="active">&{'rekanan.data_penyedia'}</li>
</ul>

#{menuDataPenyedia /}
<div class="content">
	#{notifMigrasiSikap /}
     #{alert /}
      #{form @rekanan.PeralatanCtr.simpan(), method:'POST'}
      #{if peralatan.alt_id != NULL}<input type="hidden" name="peralatan.alt_id" value="${peralatan.alt_id}">#{/if}
 
      <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Nama Alat <span class="warning">*</span></label>
	    <div class="col-lg-10">
	      <input type="text" class="form-control #{validate 'peralatan.alt_jenis'/}" name="peralatan.alt_jenis" maxlength=80 value="${peralatan?.alt_jenis}">
	       <div class="invalid-feedback">#{error 'peralatan.alt_jenis' /}</div>
	    </div>
	  </div>
	   <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Jumlah <span class="warning">*</span></label>
	    <div class="col-lg-10">
	      <input type="text" onkeypress="return isNumberKey(event)" class="form-control #{validate 'peralatan.alt_jumlah'/}" name="peralatan.alt_jumlah" size="5" maxlength=4 value="${peralatan?.alt_jumlah}" style="width:70px">
	       <div class="invalid-feedback">#{error 'peralatan.alt_jumlah' /}</div>
	    </div>
	  </div>
	   <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Kapasitas</label>
	    <div class="col-lg-10">
	      <input type="text" class="form-control" name="peralatan.alt_kapasitas" size="5" maxlength=100 value="${peralatan?.alt_kapasitas}">
	    </div>
	  </div>
	   <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Merk/Tipe</label>
	    <div class="col-lg-10">
	      <input type="text" class="form-control" name="peralatan.alt_merktipe" maxlength=200 value="${peralatan?.alt_merktipe}">
	    </div>
	  </div>
	   <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Tahun Pembuatan <span class="warning">*</span></label>
	    <div class="col-lg-10">
	      <input type="text" onkeypress="return isNumberKey(event)" class="form-control #{validate 'peralatan.alt_thpembuatan'/}" name="peralatan.alt_thpembuatan" maxlength="4" value="${peralatan?.alt_thpembuatan}" style="width:70px" >
	       <div class="invalid-feedback">#{error 'peralatan.alt_thpembuatan' /}</div>
	    </div>
	  </div>
	   <div class="form-group row">
	    <label class="col-lg-2 col-form-label">isidisi</label>
	    <div class="col-lg-10">
	    	<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="peralatan.alt_kondisi" value="1" #{if peralatan.alt_kondisi == null || peralatan.alt_kondisi == 1}checked#{/if} />
				<label class="form-check-label">Baik</label>
	      	</div>
	      	<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="peralatan.alt_kondisi" value="0" #{if peralatan.alt_kondisi == 0}checked#{/if}/>
				<label class="form-check-label">Rusak</label>
          	</div>
	    </div>
	  </div>
	   <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Lokasi Sekarang</label>
	    <div class="col-lg-10">
	      <input type="text" class="form-control" name="peralatan.alt_lokasi" size="50" maxlength=100 value="${peralatan?.alt_lokasi}">
	    </div>
	  </div>
	   <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Status Kepemilikan</label>
	    <div class="col-lg-10">#{selectKepemilikan 'status', value:peralatan?.skp_id?.id /}</div>
	  </div>
	   <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Bukti Kepemilikan</label>
	    <div class="col-lg-10">
	      <input type="text" class="form-control" name="peralatan.alt_kepemilikan" size="50" maxlength=80 value="${peralatan?.alt_kepemilikan}">
	    </div>
	  </div>
       <div class="form-group row">
    		<div class="col-lg-offset-2 col-lg-10">  
        #{if active_user.canEditDataPenyedia} #{saveButton /}  #{/if}       
        #{backButton action:@rekanan.PeralatanCtr.list()/}
        </div>
       </div>
   #{/form}
   <div class="bs-callout bs-callout-warning">
     	<span class="warning">*</span> &{'rekanan.harus_diisi'}
     </div>    
</div>


#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
#{if !active_user.canEditDataPenyedia}
<script type="text/javascript">
$(document).ready(function(){
	$("form input").attr('disabled','disabled');
	$("form select").attr('disabled','disabled');
	$("form button.btn-simpan").attr('disabled','disabled');
	$(".removeBtn").hide();
})
</script>
#{/if}
#{/set}
